import request from '@/utils/request'
// 平台用户管理-列表
export function getUserListApi(query) {
    return request({
        url: '/system/user/list',
        method: 'get',
        params: query
    })
}
// 平台用户管理-新增
export function addUserApi(data) {
    return request({
        url: '/system/user',
        method: 'post',
        data: data
    })
}
// 平台用户管理-编辑
export function updateUserApi(data) {
    return request({
        url: '/system/user',
        method: 'put',
        data: data
    })
}
// 平台用户管理-详情
export function getUserDetailsApi(userId) {
    return request({
        url: `/system/user/${userId}`,
        method: 'get',

    })
}
// 平台用户管理-重置密码
export function resetUserPwdApi(data) {
    return request({
        url: '/system/user/resetPwd',
        method: 'put',
        data: data
    })
}
// 平台用户管理-删除
export function deleteUserApi(userIds) {
    return request({
        url: `/system/user/${userIds}`,
        method: 'delete',

    })
}
// 平台用户-导出
export function exportUserApi(data) {
    return request({
        url: '/system/user/export',
        method: "post",
        data: data,
        responseType: "blob",

    })
}
